Name:          telepathy-qt
Version:       0.9.7
Release:       1mamba
Summary:       A library for Qt-based Telepathy clients
Group:         Graphical Desktop/Libraries/QT
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://telepathy.freedesktop.org/
Source:        http://telepathy.freedesktop.org/releases/telepathy-qt/telepathy-qt-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libqt4-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: telepathy-farstream-devel
BuildRequires: telepathy-glib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libqt4-apidocs
BuildRequires: farstream1-devel
Provides:      telepathy-qt4 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libtelepathy-qt4
Obsoletes:     libtelepathy-qt4
Requires:      telepathy-mission-control
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
Telepathy is a D-Bus framework for unifying real time communication, including instant messaging, voice calls and video calls.
It abstracts differences between protocols to provide a unified interface for applications.
See the Telepathy website for more information.

%package farstream
Summary:       Farstream %{name} bindings
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      telepathy-qt4-farstream = %{?epoch:%epoch:}%{version}-%{release}

%description farstream 
%{summary}.
  
%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-farstream = %{?epoch:%epoch:}%{version}-%{release}
Provides:      telepathy-qt4-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      telepathy-qt4-farstream-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-farstream-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libtelepathy-qt4-devel
Obsoletes:     libtelepathy-qt4-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n libtelepathy-qt5
Summary:       A library for Qt-based Telepathy clients
Requires:      telepathy-mission-control

%description -n libtelepathy-qt5
Telepathy is a D-Bus framework for unifying real time communication, including instant messaging, voice calls and video calls.
It abstracts differences between protocols to provide a unified interface for applications.
See the Telepathy website for more information.

%package -n libtelepathy-qt5-farstream
Summary:       Farstream %{name} bindings
Requires:      libtelepathy-qt5 = %{?epoch:%epoch:}%{version}-%{release}

%description -n libtelepathy-qt5-farstream 
Farstream %{name} bindings.

%package -n libtelepathy-qt5-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libtelepathy-qt5 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libtelepathy-qt5-farstream = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libtelepathy-qt5-farstream-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libtelepathy-qt5-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%cmake_kde5 -d build-qt5 \
   -DDESIRED_QT_VERSION=5 \
   -DDISABLE_WERROR=1 \
%ifarch x86_64
   -DLIB_SUFFIX=64
%endif

%make

#cd ..
#% cmake -d build \
#   -DDESIRED_QT_VERSION=4 \
#   -DDISABLE_WERROR=1
#% make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#% makeinstall -C build
%makeinstall -C build-qt5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post farstream -p /sbin/ldconfig
%postun farstream -p /sbin/ldconfig

%post -n libtelepathy-qt5 -p /sbin/ldconfig
%postun -n libtelepathy-qt5 -p /sbin/ldconfig

%post -n libtelepathy-qt5-farstream -p /sbin/ldconfig
%postun -n libtelepathy-qt5-farstream -p /sbin/ldconfig

%files
#%defattr(-,root,root)
#%{_libdir}/libtelepathy-qt4.so.*
#%doc AUTHORS COPYING

#%files farstream
#%defattr(-,root,root)
#%{_libdir}/libtelepathy-qt4-farstream.so.*

#%files devel
#%defattr(-,root,root)
#%dir %{_includedir}/telepathy-qt4
#%dir %{_includedir}/telepathy-qt4/TelepathyQt/
#%{_includedir}/telepathy-qt4/TelepathyQt/
#%{_libdir}/libtelepathy-qt4.so
#%{_libdir}/libtelepathy-qt4-farstream.so
#%{_libdir}/libtelepathy-qt4-service.a
#%dir %{_libdir}/cmake/TelepathyQt4
#%{_libdir}/cmake/TelepathyQt4/*.cmake
#%dir %{_libdir}/cmake/TelepathyQt4Farstream
#%{_libdir}/cmake/TelepathyQt4Farstream/*.cmake
#%dir %{_libdir}/cmake/TelepathyQt4Service
#%{_libdir}/cmake/TelepathyQt4Service/*.cmake
#%{_libdir}/pkgconfig/*.pc

%files -n libtelepathy-qt5
%defattr(-,root,root)
%{_libdir}/libtelepathy-qt5.so.*
%{_libdir}/libtelepathy-qt5-service.so.*
%doc AUTHORS COPYING

%files -n libtelepathy-qt5-farstream
%defattr(-,root,root)
%{_libdir}/libtelepathy-qt5-farstream.so.*

%files -n libtelepathy-qt5-devel
%defattr(-,root,root)
%dir %{_includedir}/telepathy-qt5
%dir %{_includedir}/telepathy-qt5/TelepathyQt/
%{_includedir}/telepathy-qt5/TelepathyQt/
%{_libdir}/libtelepathy-qt5.so
%{_libdir}/libtelepathy-qt5-farstream.so
%{_libdir}/libtelepathy-qt5-service.so
%dir %{_libdir}/cmake/TelepathyQt5
%{_libdir}/cmake/TelepathyQt5/*.cmake
%dir %{_libdir}/cmake/TelepathyQt5Farstream
%{_libdir}/cmake/TelepathyQt5Farstream/*.cmake
%dir %{_libdir}/cmake/TelepathyQt5Service
%{_libdir}/cmake/TelepathyQt5Service/*.cmake
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar 06 2019 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.1-1mamba
- update to 0.9.6.1
- qt5 packages

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Sat Jun 21 2014 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic update by autodist

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-3mamba
- telepathy-qt-devel: require telepathy-qt-farstream

* Tue Oct 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- rebuilt with telepathy-farstream 0.6.0 and farstream1-devel

* Tue Aug 28 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.9.3-1mamba
- update to 0.9.3

* Tue May 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- provide/obsolete libtelepathy-qt4 and libtelepathy-qt4-devel

* Sun Apr 08 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.9.1-1mamba
- package created by autospec
